Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
27 Views

YOLO: Error Converting YOLOv3 Model

hello,

I am trying to convert the YOLO model to tensorflow but when I run demo.py file it returns this error:

C:\Intel\computer_vision_sdk_2018.5.445\deployment_tools\intel_models\tensorflow-yolo-v3>demo.py --weights_file C:\Intel\computer_vision_sdk_2018.5.445\deployment_tools\intel_models\tensorflow-yolo-v3\yolov3.weights --class_names C:\Intel\computer_vision_sdk_2018.5.445\deployment_tools\intel_models\tensorflow-yolo-v3\coco.names.txt --input_img C:\Intel\computer_vision_sdk_2018.5.445\deployment_tools\intel_models\tensorflow-yolo-v3\trafico.jpg --output_img ./out.jpg

 

Traceback (most recent call last):
  File "C:\Users\andre\AppData\Roaming\Python\Python36\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "C:\Users\andre\AppData\Roaming\Python\Python36\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 28, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "C:\Users\andre\AppData\Roaming\Python\Python36\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper
    _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
  File "C:\Users\andre\AppData\Local\Programs\Python\Python36\lib\imp.py", line 243, in load_module
    return load_dynamic(name, filename, file)
  File "C:\Users\andre\AppData\Local\Programs\Python\Python36\lib\imp.py", line 343, in load_dynamic
    return _load(spec)
ImportError: DLL load failed:A dynamic link library (DLL) initialization routine failed.

 

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Intel\computer_vision_sdk_2018.5.445\deployment_tools\intel_models\tensorflow-yolo-v3\demo.py", line 4, in <module>
    import tensorflow as tf
  File "C:\Users\andre\AppData\Roaming\Python\Python36\site-packages\tensorflow\__init__.py", line 24, in <module>
    from tensorflow.python import pywrap_tensorflow  # pylint: disable=unused-import
  File "C:\Users\andre\AppData\Roaming\Python\Python36\site-packages\tensorflow\python\__init__.py", line 49, in <module>
    from tensorflow.python import pywrap_tensorflow
  File "C:\Users\andre\AppData\Roaming\Python\Python36\site-packages\tensorflow\python\pywrap_tensorflow.py", line 74, in <module>
    raise ImportError(msg)
ImportError: Traceback (most recent call last):
  File "C:\Users\andre\AppData\Roaming\Python\Python36\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "C:\Users\andre\AppData\Roaming\Python\Python36\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 28, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "C:\Users\andre\AppData\Roaming\Python\Python36\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper
    _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
  File "C:\Users\andre\AppData\Local\Programs\Python\Python36\lib\imp.py", line 243, in load_module
    return load_dynamic(name, filename, file)
  File "C:\Users\andre\AppData\Local\Programs\Python\Python36\lib\imp.py", line 343, in load_dynamic
    return _load(spec)
ImportError: DLL load failed: A dynamic link library (DLL) initialization routine failed..

Is this related to the tensorflow version?????

tensorflow version:1.12.0

 

 

0 Kudos
2 Replies
Highlighted
Employee
27 Views

0 Kudos
Highlighted
Beginner
27 Views

Hello Shubha. Thanks for reply.

 

Yes, I followed this.

The problem is in the tensorflow version.

0 Kudos